Bug 177638 - [GTK] Add WebKitContextMenuItemType for paste as plaintext
Summary: [GTK] Add WebKitContextMenuItemType for paste as plaintext
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: Other
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-28 19:46 PDT by Michael Catanzaro
Modified: 2020-05-18 12:31 PDT (History)
8 users (show)

See Also:


Attachments
Patch (16.01 KB, patch)
2020-05-17 06:32 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2017-09-28 19:46:17 PDT
Add WebKitContextMenuItemType for paste as plaintext. It's really annoying that we don't have this. Sometimes I have to open a text editor, paste there, and then copy that text in order to paste it into WebKit applications.

Note: I'm not planning to work on this now. Just reporting it.
Comment 1 Carlos Garcia Campos 2020-05-17 06:32:55 PDT
Created attachment 399589 [details]
Patch
Comment 2 EWS Watchlist 2020-05-17 06:33:39 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Michael Catanzaro 2020-05-17 08:02:00 PDT
Comment on attachment 399589 [details]
Patch

Thanks!
Comment 4 EWS 2020-05-18 00:37:32 PDT
Committed r261800: <https://trac.webkit.org/changeset/261800>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 399589 [details].